/*
 * @Author: zc
 * @Description: 用户管理
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-09-21 15:36:01
 */
import request from '/@/utils/request';

/**
 * @description: 获取用户列表
 * @param {object} params
 * @return {*}
 */
export const getUserListPaged = (params: object) => {
	return request({
		url: '/api/v1/user/paged',
		method: 'get',
		params: params,
	});
};
/**
 * @description: 新增用户
 * @param {object} params
 * @return {*}
 */
export const addUser = (params: object) => {
	return request({
		url: '/api/v1/user',
		method: 'post',
		data: params,
	});
};
/**
 * @description: 更新用户
 * @param {object} params
 * @return {*}
 */
export const updateUser = (params: object) => {
	return request({
		url: '/api/v1/user',
		method: 'put',
		data: params,
	});
};
/**
 * @description: 删除用户
 * @param {string} userId 用户ID
 * @return {*}
 */
export const delUser = (userId: string) => {
	return request({
		url: `/api/v1/user/${userId}`,
		method: 'delete',
	});
};
