/*
 * @Author: zc
 * @Description: 用户
 * @version: 
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-10-26 13:51:57
 */
import request from '/@/utils/request';
/**
 * 上班
 * @param telNo 分机编号
 * @returns 返回接口数据
 */
export function onDuty(telNo: string) {
	return request({
		url: `/api/v1/User/on-duty/${telNo}`,
		method: 'post',
	});
}
/**
 * 下班
 * @param data 分机编号
 * @returns 返回接口数据
 */
export function offDuty(data?: string) {
	return request({
		url: `/api/v1/User/off-duty`,
		method: 'post',
		data:data
	});
}
/**
 * 查寻当前用户状态
 */
export function getUserState() {
	return request({
		url: `/api/v1/User/state`,
		method: 'get'
	});
}
/**
 * 分机休息
 */
export function telRest() {
	return request({
		url: `/api/v1/Tel/rest`,
		method: 'put',
	});
}
/**
 * 分机结束休息
 */
export function telUnrest() {
	return request({
		url: `/api/v1/Tel/unrest`,
		method: 'put'
	});
}