/*
 * @Author: zc
 * @Description:
 * @version: 
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-10-31 17:39:52
 */
import { createApp } from 'vue';
import pinia from '/@/stores/index';
import App from './App.vue';
import router from './router';
import { directive } from '/@/utils/directive';
import other from '/@/utils/other';
//  引入element
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import '/@/theme/index.scss';
import mitt from 'mitt';
import signalR from '/@/utils/signalR';
// 分页组件
import Pagination from '/@/components/Pagination/index.vue';
// 自定义表格工具组件
import RightToolbar from '/@/components/RightToolbar/index.vue';

// 组织架构组件
import vue3TreeOrg from 'vue3-tree-org';
import "vue3-tree-org/lib/vue3-tree-org.css";
// 图片预览
import 'viewerjs/dist/viewer.css';
import VueViewer from 'v-viewer';

// 图片懒加载
import VueLazyloadNext from 'vue-lazyload-next';

//exception log
import { Exceptionless } from "@exceptionless/browser";
//  全局配置
import appConfig from "/@/utils/appConfig";

const app = createApp(App);
//  signalR 初始化signalr 
signalR.init(appConfig.socketUrl);


// 自定义指令和svg组件
directive(app);
other.elSvg(app);

// 全局状态
app.config.globalProperties.mittBus = mitt();
app.config.globalProperties.signalr = signalR;

Exceptionless.startup((c:any) => { // 初始化日志系统
    c.apiKey = appConfig.logKey
    c.serverUrl= appConfig.logServerUrl
});
app.config.errorHandler = async (err, instance, info) => {
    // 向追踪服务报告错误
    if(appConfig.clientLog) console.log('globalError: ', err, instance, info);
    if(appConfig.sendLog) await Exceptionless.submitException(<Error>err);
}
// 全局组件挂载
app.component('RightToolbar', RightToolbar)
app.component('Pagination', Pagination)

app.use(pinia).use(router).use(ElementPlus).use(vue3TreeOrg).use(VueViewer).use(VueLazyloadNext).mount('#app');


