/*
 * @Author: zc
 * @Description: 系统配置
 * @version: 
 * @Date: 2022-10-26 13:55:31
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-09 14:24:41
 */
interface appConfigState{
    apiUrl:string,// 基础请求地址
    identityUrl:string,// 身份认证服务地址
    socketUrl:string,// signalr请求地址
    logKey:string,// 日志发送key
    logServerUrl:string,// 日志发送地址
    sendLog:boolean,// 是否开启错误日志提交
    clientLog:boolean,// 客户端（浏览器是否开启错误打印）
    globalTitle:string,//网站主标题（菜单导航、浏览器当前网页标题）
    globalViceTitle:string //网站副标题（登录页顶部文字）
}
let appConfig:appConfigState;
console.log('当前环境:',import.meta.env.VITE_MODE_NAME)
switch (import.meta.env.VITE_MODE_NAME) {
    case 'development': // 开发环境
        appConfig = {
            apiUrl:'http://hotline.fw.com',
            identityUrl:'http://identity.fengwo.com',
            socketUrl:'http://192.168.100.223:50110/hubs/callcenter',
            logKey:'BrXoFNY0kBtPAHtIegYX1dQdKWhtyyMMLfcF03L9',
            logServerUrl:'http://log.fw.com',
            sendLog:false,
            clientLog:true,
            globalTitle:"12345", 
            globalViceTitle:'12345', 
        }
        break;
    case 'test': // 测试环境
        appConfig = {
            apiUrl:'http://hotline.fw.com',
            identityUrl:'http://identity.fengwo.com',
            socketUrl:'http://192.168.100.223:50110/hubs/callcenter',
            logKey:'BrXoFNY0kBtPAHtIegYX1dQdKWhtyyMMLfcF03L9',
            logServerUrl:'http://log.fw.com',
            sendLog:true,
            clientLog:true,
            globalTitle:"12345",
            globalViceTitle:'12345',
        }
        break;
    case 'production': // 生产环境
        appConfig = {
            apiUrl:'http://hotline.fw.com',
            identityUrl:'http://identity.fengwo.com',
            socketUrl:'http://192.168.100.223:50110/hubs/callcenter',
            logKey:'i4ofQSLHB0GtqjMjoTI5bXA5XeNwEPrQfcWsTmHA',
            logServerUrl:'http://log.fw.com',
            sendLog:true,
            clientLog:true,
            globalTitle:"12345",
            globalViceTitle:'12345',
        }
        break;
    default:
        appConfig = {
            apiUrl:'http://hotline.fw.com',
            identityUrl:'http://identity.fengwo.com',
            socketUrl:'http://192.168.100.223:50110/hubs/callcenter',
            logKey:'BrXoFNY0kBtPAHtIegYX1dQdKWhtyyMMLfcF03L9',
            logServerUrl:'http://log.fw.com',
            sendLog:true,
            clientLog:true,
            globalTitle:"12345",
            globalViceTitle:'12345',
        }
        break;
}
export default appConfig;